Analisi FEM

From FreeCAD Documentation
Revision as of 09:19, 4 March 2018 by Renatorivo (talk | contribs) (Replaced content with "==Descrizione==")

Analisi FEM

Posizione nel menu
Modello → Contenitore analisi
Ambiente
FEM
Avvio veloce
N,A
Introdotto nella versione
-
Vedere anche
Tutorial FEM

Descrizione

The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:


Uso

  1. Premere il pulsante Analisi, oppure i tasti N e A. Viene creata e attivata una nuova Analisi.
  2. Nel contenitore Analisi si possono aggiungere o rimuovere gli oggetti con azioni drag and drop.
  3. Per aggiungere nuovi oggetti FEM al documento l'analisi deve essere attiva. Fare doppio clic sull'analisi per attivarla.
  1. Press the Analysis container button, or press N then A keys. A new Analysis is created and set to active.
  2. Other objects could be added or removed to the analysis container by drag and drop.
  3. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.


Opzioni

  • Per ora non ci sono opzioni.
  • L'analisi in frequenza è in sviluppo. Vedere [1] per maggiori informazioni.
  • Up to date there is no option to choose.
  • A frequency analysis in in development. See [2] for more informations.


Proprietà

  • DatiOutpuDir: Specifica la directory di lavoro di Analisi
  • DatiOutpuDir: Specifies the working directory of the analysis


Script

La maggior parte di questo codice è deprecato nella versione 0.17.

  • nuova analisi

most code here is depreciated in 0.17.

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • aggiungere un oggetto all'analisi
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • rimuovere un oggetto dall'analisi
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member


Esempio:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member